////////////////////////////////////////////////////////////////////////////
//
// nrHit.h
//
// A class for hits.
//
// Nate Robins, January 2002.
//
////////////////////////////////////////////////////////////////////////////

#ifndef NRHIT_H
#define NRHIT_H


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrVector3.h"


////////////////////////////////////////////////////////////////////////////
// Classes
////////////////////////////////////////////////////////////////////////////

class nrSurface;

////////////////////////////////////////////////////////////////////////////

class nrHit
{
public:
    
    inline nrHit( void );
    inline nrHit( const nrSurface* surface, float t );
    inline ~nrHit( void );
    
public:
    
    inline const nrSurface& Surface( void ) const { return *m_Surface; };
    
public:
    
    float            t;
    const nrSurface* m_Surface;
};

////////////////////////////////////////////////////////////////////////////

#include "nrHit.inl"

////////////////////////////////////////////////////////////////////////////

#endif  // NRHIT_H
