////////////////////////////////////////////////////////////////////////////
//
// nrPixel.cpp
//
// A class for pixels.
//
// Nate Robins, April 2001.
//
////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////
// Includes
////////////////////////////////////////////////////////////////////////////

#include "nrPixel.h"


////////////////////////////////////////////////////////////////////////////
// Public
////////////////////////////////////////////////////////////////////////////

nrPixel::nrPixel( void )
{
}

////////////////////////////////////////////////////////////////////////////

nrPixel::nrPixel( unsigned char _r, unsigned char _g, unsigned char _b, unsigned char _a )
{
    r = _r;
    g = _g;
    b = _b;
    a = _a;
}

////////////////////////////////////////////////////////////////////////////

nrPixel nrPixel::Lerp( const nrPixel& a, const nrPixel& b, float t )
{
    nrPixel c;
    
    c.r = ( unsigned char )( ( a.r * ( 1.0f - t ) ) + ( b.r * t ) );
    c.g = ( unsigned char )( ( a.g * ( 1.0f - t ) ) + ( b.g * t ) );
    c.b = ( unsigned char )( ( a.b * ( 1.0f - t ) ) + ( b.b * t ) );
    c.a = ( unsigned char )( ( a.a * ( 1.0f - t ) ) + ( b.a * t ) );
    
    return c;
}

////////////////////////////////////////////////////////////////////////////
